msgpack::type::define_map<> Struct Template Reference

`#include <cpp03_define_map.hpp>`

## Public Member Functions

template<typename Packer >
void | msgpack_pack (Packer &pk) const
void | msgpack_unpack (msgpack::object const &o) const
void | msgpack_object (msgpack::object *o, msgpack::zone &) const

## Member Function Documentation

## msgpack_object()

void msgpack::type::define_map<>::msgpack_object | ( | msgpack::object * | o,
|  | msgpack::zone & |
| ) |  | const

inline

References msgpack::zone::allocate_align(), msgpack::type::define_map< Args >::define_map(), msgpack::object_kv::key, msgpack::type::MAP, msgpack::object::union_type::map, MSGPACK_NULLPTR, msgpack::type::define_map< Args >::msgpack_object(), msgpack::type::define_map< Args >::msgpack_pack(), msgpack::type::define_map< Args >::msgpack_unpack(), MSGPACK_ZONE_ALIGNOF, msgpack::object_map::ptr, msgpack::object_str::ptr, msgpack::object_map::size, msgpack::object_str::size, msgpack::object::union_type::str, msgpack::object::type, msgpack::object_kv::val, and msgpack::object::via.

## msgpack_pack()

template<typename Packer >

void msgpack::type::define_map<>::msgpack_pack | ( | Packer & | pk | ) | const

inline

## msgpack_unpack()

void msgpack::type::define_map<>::msgpack_unpack | ( | msgpack::object const & | o | ) | const

inline

References msgpack::type::MAP, and msgpack::object::type.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/adaptor/detail/cpp03_define_map.hpp